# C++ keywords: static

From cppreference.com
< cpp‎ | keyword

### Usage

- declarations of namespace members with static storage duration and internal linkage
- definitions of block scope variables with static storage duration and initialized once
- declarations of class members not bound to specific instances

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/static&oldid=109159"